/// <reference types="node" />
import React, { Component } from "react";
import { InputImplement } from '../../types/input.implement';
import { NumberInputProps, NumberInputValueType } from './number.interface';
interface IState {
    value: NumberInputValueType;
    error: boolean;
}
export declare class NumberInput extends Component<NumberInputProps, IState> implements InputImplement<NumberInputValueType> {
    state: IState;
    validationTimeout: NodeJS.Timeout | undefined;
    shouldComponentUpdate(nextProps: NumberInputProps, nextState: IState): boolean;
    setValue(value: NumberInputValueType): Promise<any>;
    getValue(): NumberInputValueType;
    clear(): Promise<any>;
    validation(): boolean;
    onChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
    private onClick;
    inputRef: HTMLInputElement | null | undefined;
    click: () => void;
    focus: () => void;
    blur: () => void;
    render(): JSX.Element;
}
export {};
